> For a complete page index, fetch https://developer.close.com/llms.txt # Retrieve a single event by ID GET https://api.close.com/api/v1/event/{id}/ The response contains a dictionary with a single event, using the format outlined in “Event format”. Reference: https://developer.close.com/api/resources/events/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "action": "created", "changed_fields": [], "data": { "_type": "Note", "contact_id": null, "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "created_by_name": "Gob Bluth", "date_created": "2016-10-19T12:22:10.433000+00:00", "date_updated": "2016-10-19T12:22:10.433000+00:00", "id": "acti_4LNDQk2uhg7t8fGUWPyHX7cpCVH9PJtCyCssXFcao3e", "lead_id": "lead_sHR5sxie4dKOBkODA2flGciHen2c91YEpvTPt8x1NU0", "note": "My note.", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "updated_by_name": "Gob Bluth", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "user_name": "Gob Bluth", "users": [] }, "date_created": "2016-10-19T12:22:10.434000", "date_updated": "2016-10-19T12:22:10.434000", "id": "ev_17VaZdcdnsMNyWY9ZJnjph", "lead_id": "lead_sHR5sxie4dKOBkODA2flGciHen2c91YEpvTPt8x1NU0", "meta": { "request_method": "POST", "request_path": "/api/v1/activity/note/" }, "object_id": "acti_4LNDQk2uhg7t8fGUWPyHX7cpCVH9PJtCyCssXFcao3e", "object_type": "note", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "previous_data": {}, "request_id": "req_2skaL7v81TflDfovw8A1CC", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python events_get_example import requests url = "https://api.close.com/api/v1/event/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript events_get_example const url = 'https://api.close.com/api/v1/event/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go events_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/event/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby events_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/event/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java events_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/event/id/") .basicAuth("", "") .asString(); ``` ```php events_get_example request('GET', 'https://api.close.com/api/v1/event/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp events_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/event/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```